<?php

/**
 * This file is part of the OpenPNE package.
 * (c) OpenPNE Project (http://www.openpne.jp/)
 *
 * For the full copyright and license information, please view the LICENSE
 * file and the NOTICE file that were distributed with this source code.
 */

/**
 * sns actions.
 *
 * @package    OpenPNE
 * @subpackage sns
 * @author     Kousuke Ebihara <ebihara@tejimaya.com>
 */
class snsActions extends sfActions
{
 /**
  * Executes config action
  *
  * @param sfRequest $request A request object
  */
  public function executeConfig(sfWebRequest $request)
  {
    $this->category = $request->getParameter('category', 'general');
    $this->form = new SnsConfigForm(array(), array('category' => $this->category));
    if ($request->isMethod('post'))
    {
      $this->form->bind($request->getParameter('sns_config'));
      if ($this->form->isValid())
      {
        $this->form->save();
        $this->redirect('sns/config?category='.$this->category);
      }
    }
  }
}
